## visad.data.hdfeos
Class HdfeosData

    java.lang.Object
      visad.data.hdfeos.HdfeosData

Direct Known Subclasses:
  HdfeosField, HdfeosFlatField, HdfeosTuple

abstract class HdfeosData
extends Object

Constructor Summary
`(package private)` `HdfeosData()`

Method Summary
`abstract DataImpl` `getAdaptedData()`
`abstract DataImpl` `getAdaptedData(int[] indexes)`
`abstract DataImpl` `getData()`
`abstract DataImpl` `getData(int[] indexes)`
`abstract MathType` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HdfeosData

    HdfeosData()

Method Detail

### getType

    public abstract MathType getType()
                              throws VisADException

  Throws:
    `VisADException`

### getData

    public abstract DataImpl getData()
                              throws VisADException,
                                     RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getData

    public abstract DataImpl getData(int[] indexes)
                              throws VisADException,
                                     RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public abstract DataImpl getAdaptedData()
                                     throws VisADException,
                                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public abstract DataImpl getAdaptedData(int[] indexes)
                                     throws VisADException,
                                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`